Bug 1343738 - Review Request: lxqt-admin - LXQt system administration tool
Summary: Review Request: lxqt-admin - LXQt system administration tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews LXQt
TreeView+ depends on / blocked
 
Reported: 2016-06-07 19:14 UTC by Raphael Groner
Modified: 2016-08-18 03:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-18 03:51:36 UTC
richmattes: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2016-06-07 19:14:19 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-admin.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-admin-0.10.0-1.20160531git0f9ab3a.fc24.1.src.rpm
Description: LXQt system administration tool
Fedora Account System Username: raphgro

Comment 1 Raphael Groner 2016-06-07 19:55:48 UTC
Rawhide builds:
https://copr.fedorainfracloud.org/coprs/raphgro/review/build/332387/

Comment 2 Raphael Groner 2016-07-06 20:13:24 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-admin.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-admin-0.10.0-2.20160705git8acfd2a.fc24.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14797406

* Wed Jul 06 2016 Raphael Groner <> - 0.10.0-2.20160705git8acfd2a
- new git snapshot
- drop dependency to liboobs
- add polkit
- adjust license

Comment 3 Rich Mattes 2016-07-13 23:27:05 UTC
I'll take this review.

Comment 4 Rich Mattes 2016-07-18 23:42:22 UTC
Package looks good.  The only issue is that there are a few files missing licenses.  You should confirm with upstream what the licenses of the files are.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated". 8 files have
     unknown license. 

--> Relevant files:
/AUTHORS
/COPYING
/README.md
/lxqt-admin-time/timedatectl.cpp
/lxqt-admin-time/timedatectl.h
/lxqt-admin-user/lxqt-admin-user-helper
/lxqt-admin-user/usermanager.cpp
/lxqt-admin-user/usermanager.h

The top three are OK, but you should verify with upstream that the bottom five files share the LGPLv2+ license with the rest of the source

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lxqt-
     admin-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lxqt-admin-0.10.0-2.20160705git8acfd2a.fc22.x86_64.rpm
          lxqt-admin-debuginfo-0.10.0-2.20160705git8acfd2a.fc22.x86_64.rpm
          lxqt-admin-0.10.0-2.20160705git8acfd2a.fc22.src.rpm
lxqt-admin.x86_64: W: no-manual-page-for-binary lxqt-admin-time
lxqt-admin.x86_64: W: no-manual-page-for-binary lxqt-admin-user
lxqt-admin.x86_64: W: no-manual-page-for-binary lxqt-admin-user-helper
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

--> These warnings are OK - upstream does not provide manpages.

Rpmlint (debuginfo)
------------------
Checking: lxqt-admin-debuginfo-0.10.0-2.20160705git8acfd2a.fc22.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
lxqt-admin.x86_64: W: no-manual-page-for-binary lxqt-admin-user
lxqt-admin.x86_64: W: no-manual-page-for-binary lxqt-admin-user-helper
lxqt-admin.x86_64: W: no-manual-page-for-binary lxqt-admin-time
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Requires
--------
lxqt-admin-debuginfo (rpmlib, GLIBC filtered):

lxqt-admin (rpmlib, GLIBC filtered):
    /bin/sh
    libKF5WindowSystem.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5Xdg.so.1()(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    liblxqt.so.0()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    polkit
    rtld(GNU_HASH)

Provides
--------
lxqt-admin-debuginfo:
    lxqt-admin-debuginfo
    lxqt-admin-debuginfo(x86-64)

lxqt-admin:
    application()
    application(lxqt-admin-time.desktop)
    application(lxqt-admin-user.desktop)
    lxqt-admin
    lxqt-admin(x86-64)

Source checksums
----------------
https://github.com/lxde/lxqt-admin/archive/8acfd2a5449080f88d7769d4480f67a9e47aae99.tar.gz#/lxqt-admin-8acfd2a5449080f88d7769d4480f67a9e47aae99.tar.gz :
  CHECKSUM(SHA256) this package     : 3f40c8da16a8f6d7538f385d1f0b79b436dd94bcef47bc6b8760dedada5dd8a2
  CHECKSUM(SHA256) upstream package : 3f40c8da16a8f6d7538f385d1f0b79b436dd94bcef47bc6b8760dedada5dd8a2

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1343738
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Raphael Groner 2016-07-29 14:32:36 UTC
https://github.com/lxde/lxqt/issues/1104

Comment 6 Raphael Groner 2016-08-06 17:32:59 UTC
SPEC: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-admin.spec
SRPM: https://raphgro.fedorapeople.org/review/qt/lx/lxqt-admin-0.10.0-3.20160729git2f95601.fc24.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15159480

%changelog
* Sat Aug 06 2016 Raphael Groner <> - 0.10.0-3.20160729git2f95601
- new git snapshot
- fix unlicensed files

Comment 7 Rich Mattes 2016-08-06 22:30:35 UTC
Great.  The source file licenses are now fixed, so this package is APPROVED.

Comment 8 Raphael Groner 2016-08-07 06:24:44 UTC
Thanks for the review!

Comment 9 Gwyn Ciesla 2016-08-08 14:38:06 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lxqt-admin

Comment 10 Fedora Update System 2016-08-08 16:55:50 UTC
lxqt-admin-0.10.0-3.20160729git2f95601.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-767d2dbac4

Comment 11 Raphael Groner 2016-08-08 17:02:47 UTC
GCC in el7 is too old, sources need C++11 features.

Comment 12 Fedora Update System 2016-08-09 08:51:13 UTC
lxqt-admin-0.10.0-3.20160729git2f95601.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-767d2dbac4

Comment 13 Fedora Update System 2016-08-18 03:51:34 UTC
lxqt-admin-0.10.0-3.20160729git2f95601.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.